Debian Bug report logs - #678587
kernel-wedge: gen-control does not merge default and per-arch/flavour depends

version graph

Package: kernel-wedge; Maintainer for kernel-wedge is Debian Install System Team <debian-boot@lists.debian.org>; Source for kernel-wedge is src:kernel-wedge.

Reported by: Ben Hutchings <ben@decadent.org.uk>

Date: Fri, 22 Jun 2012 22:42:02 UTC

Severity: normal

Found in version kernel-wedge/2.84

Fixed in version kernel-wedge/2.85

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#678587; Package kernel-wedge. (Fri, 22 Jun 2012 22:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 22 Jun 2012 22:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: submit@bugs.debian.org
Subject: kernel-wedge: gen-control does not merge default and per-arch/flavour depends
Date: Fri, 22 Jun 2012 23:37:57 +0100
[Message part 1 (text/plain, inline)]
Package: kernel-wedge
Version: 2.84

gen-control makes each package field specified per-arch/flavour override
the default.

gen-deps seems to effectively merge Depends from the default and
per-arch/flavour.

This means that copy-modules has an incorrect view of which package
dependencies have been specified and which module dependencies must be
satisifed by copying.

Ben.

-- 
Ben Hutchings
Every program is either trivial or else contains at least one bug
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#678587; Package kernel-wedge. (Sun, 24 Jun 2012 19:39:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 24 Jun 2012 19:39:12 GMT) Full text and rfc822 format available.

Message #10 received at 678587@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 678587@bugs.debian.org
Subject: Re: kernel-wedge: gen-control does not merge default and per-arch/flavour depends
Date: Sun, 24 Jun 2012 20:36:45 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2012-06-22 at 23:37 +0100, Ben Hutchings wrote:
> Package: kernel-wedge
> Version: 2.84
> 
> gen-control makes each package field specified per-arch/flavour override
> the default.
> 
> gen-deps seems to effectively merge Depends from the default and
> per-arch/flavour.
> 
> This means that copy-modules has an incorrect view of which package
> dependencies have been specified and which module dependencies must be
> satisifed by copying.

There is probably some use for overriding and removing dependencies, so
I'm going to change gen-deps rather than gen-control.

Ben.

-- 
Ben Hutchings
I say we take off; nuke the site from orbit.  It's the only way to be sure.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Mon, 05 Nov 2012 04:21:05 GMT) Full text and rfc822 format available.

Notification sent to Ben Hutchings <ben@decadent.org.uk>:
Bug acknowledged by developer. (Mon, 05 Nov 2012 04:21:05 GMT) Full text and rfc822 format available.

Message #15 received at 678587-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 678587-close@bugs.debian.org
Subject: Bug#678587: fixed in kernel-wedge 2.85
Date: Mon, 05 Nov 2012 04:17:32 +0000
Source: kernel-wedge
Source-Version: 2.85

We believe that the bug you reported is fixed in the latest version of
kernel-wedge, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 678587@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated kernel-wedge package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 05 Nov 2012 03:41:02 +0000
Source: kernel-wedge
Binary: kernel-wedge
Architecture: all source
Version: 2.85
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 678587
Description: 
 kernel-wedge - udeb package builder for Debian-Installer
Changes: 
 kernel-wedge (2.85) unstable; urgency=low
 .
   * gen-deps: Ignore dependencies in default package-list that are
     overridden by the architecture package-list (Closes: #678587)
   * find-unpackaged: New sub-command lists modules not packaged in a udeb
   * install-files: Call find-unpackaged
   * install-files: Include modules.{builtin,order} in Linux kernel-image udebs
Checksums-Sha1: 
 846e0f92f12d83c8c18e57278d763f0c2b6ff80f 1652 kernel-wedge_2.85.dsc
 201120bacecf6734d4c868182dbf37d71cfcdf7e 40563 kernel-wedge_2.85.tar.gz
 1b4bfe0ac81410c4dc90630c7e8d9dda86ab2348 44640 kernel-wedge_2.85_all.deb
Checksums-Sha256: 
 386de5944a314cd02480d4f4cdb725f25fbe9c1987a15fc67e3f6871d44d8517 1652 kernel-wedge_2.85.dsc
 6784c275bd7dbbde5aace468dbbe3c4a38a96cee0745f8f3c18cd4a75ba658ec 40563 kernel-wedge_2.85.tar.gz
 6e2ac477e03dcc9defa2465defdecef27b2679655b3e63a51b8f5bc50fa7893b 44640 kernel-wedge_2.85_all.deb
Files: 
 e757a0ab8ec001694890a02406add7cb 1652 utils optional kernel-wedge_2.85.dsc
 7a971f1d4b0249c6156241c444beac15 40563 utils optional kernel-wedge_2.85.tar.gz
 e67ebe1db10ac11487a517c7795f114d 44640 utils optional kernel-wedge_2.85_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBUJc3b+e/yOyVhhEJAQoIgA//ZZGihhwQfOxEW/83/5cnCs9nz9m2zoR2
zujgA12Z5eK913VJoHj7UwZ1bCcQTuZ0OML1RhfvrLba08FxvX7wFbkVdI9pR4gx
3vE63d+Lz+uBX2gSZ53EOgdwGQdhD5GUlH6mu6+K7tcGZyxsscL3k0XuXdpS5vC1
svpqIGIcwOB7LeNGeoPHy+HjYFmCg3MqnFR4pOZsLUXhV64QEFUB70dvwGCMy86q
tzWhXjCOavMBTkowV0Jg9l18Yqic5px640H73t4VBfrWdg0732Qr6NAWruVo/ccM
pDs2iP0YPGoq/HJYqeGmSfR/NSG6EAHFiYZxXRELUvLq0T32A9IOv1cujGPOAcox
2iJ1JAl44vTc/5RrOucLjkVnNuToNTehNIINcUUztYjp8Ah5N+o53fAKlJuhujeL
/DrqgGJmKNn1f+HJpcD77aZt/9Km0DJuWxxmyy/rsN75kHzn+utZ4zpbRMUeD+DR
Cs0O722ghrxCpBBbS0i0wlKiaxO1NehmjYNytaZIlKlV1RbmQwrXDEkfgDlsc3eJ
C+7ZNgcodTytHXhDE3mt7KUQbPN0Fkt7pMdMKlJ0LKNARTNKO0S9kVTnlmkQgEbh
HFUtKjAw1LaURpINQQyhPPVXsLmSsX1h/YiMwbJXgWpdj1ndW4cplw1HZBZgrBgW
vyG7hdGRWGE=
=/JGT
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 13 Dec 2012 07:31:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 18:57:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.